summaryrefslogtreecommitdiffstats
path: root/system/vice/vice.SlackBuild
diff options
context:
space:
mode:
author Mauro Giachero <mauro dot giachero at gmail dot com>2010-05-11 20:02:10 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:02:10 +0200
commit1cf63f9c53e863a15ca0b38c1ed4ca43118b3508 (patch)
tree2ffee4253cde90fb76c7939b26eeffda72a4a569 /system/vice/vice.SlackBuild
parent3f09cac00b409b6e441037f2f7e789fb9801a174 (diff)
downloadslackbuilds-1cf63f9c53e863a15ca0b38c1ed4ca43118b3508.tar.gz
slackbuilds-1cf63f9c53e863a15ca0b38c1ed4ca43118b3508.tar.xz
system/vice: Added to 12.0 repository
Diffstat (limited to 'system/vice/vice.SlackBuild')
-rw-r--r--system/vice/vice.SlackBuild117
1 files changed, 117 insertions, 0 deletions
diff --git a/system/vice/vice.SlackBuild b/system/vice/vice.SlackBuild
new file mode 100644
index 0000000000..f2ff136a43
--- /dev/null
+++ b/system/vice/vice.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for VICE
+
+# Copyright 2008 Mauro Giachero (mauro dot giachero at gmail dot com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vice
+VERSION=1.22
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Parallel compilation support
+JOBS=${JOBS:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -march=x86-64"
+ LIBSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Replace the hardcoded "netscape" HTML viewer with "htmlview" and set
+# the help path correctly with respect to the actually installed doc folder
+# (the folder set up by "make install" is quite broken)
+patch -p1 <$CWD/vice-fix-help.patch
+
+# This patch fixes the libdir path for 64 bit builds
+# (configure doesn't honor --libdir)
+[ "$LIBSUFFIX" = "64" ] && patch -p1 <$CWD/vice-lib64.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-fullscreen \
+ --enable-gnomeui \
+ --build=$ARCH
+
+make -j$JOBS
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+# Remove the documentation folder installed by "make install", which
+# is a broken mess of almost unrelated files in the wrong place
+rm -rf $PKG/usr/lib$LIBSUFFIX/$PRGNAM/doc
+# Copy the original documentation folder to the usual place
+mkdir -p $PKG/usr/doc
+cp -R doc $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -name "Makefile*" -exec rm -f {} \;
+find $PKG/usr/doc/$PRGNAM-$VERSION -name "tex*" -exec rm -f {} \;
+# Copy additional program documentation
+cp -a AUTHORS FEEDBACK INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# Create link to documentation folder in the place VICE expects
+# to find it (looks like the VICE team does something strange with
+# the build scripts, as it resulted very difficult to actually set
+# a different doc folder)
+( cd $PKG/usr/lib$LIBSUFFIX/$PRGNAM
+ ln -s /usr/doc/$PRGNAM-$VERSION doc
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz